package com.persagy.dptool;

import java.util.*;

public class ConstantData {
    /** 文件服务默认systemId与secret对应关系{systemId:secret} */
    public static Map<String, String> imgKeyMap = new HashMap<>();

    /** {Error99:其他错误, Error001:null值错误, Error002:字面值不合法, Error003:无对应实体记录, Error004:重复值}*/
    public static String[] errorCodes = {"Error99", "Error001", "Error002", "Error003"};
    public static LinkedHashMap<String, String> errorCodeName = new LinkedHashMap<>();

    /** 数据字典配置文件基础目录 Dictionary */
    public static String dicFolderDictionary = "Dictionary";
    /** 数据字典配置文件基础目录 eqFamily */
    public static String dicFolderEqFamily = "eqFamily";
    /** 数据字典配置文件基础目录 InfoCode */
    public static String dicFolderInfoCode = "InfoCode";
    /** 数据字典配置文件基础目录 */
    public static Set<String> dicFolderBase = new HashSet<>();
    private static String jsonFileNamesOfDictionary = "10_SeismicPrecautionaryIntensity.json,averageTemperature2016.json,B_climate.json," +
            "CalendarInterval.json,CalendarTag.json,consumableRel.json,ContaminationLevel.json,C_developingLevel.json,D_weatherCondition.json," +
            "EqFamily.json,E_wind.json,Facility_new.json,F_direction.json,Geography.json,GlobalRelation.json,G_buildingFunction.json," +
            "H_spaceFunction.json,I_rental.json,K_dustproofLevel.json,K_waterproofLevel.json,M_dangerArea.json,M_explosionproofEquipment.json," +
            "M_explosionproofGas&Temperature.json,M_explosionproofType.json,PollutionLevel.json,StandardEnergyItem.json,toolRel.json,VirtualObject.json";

    /** 物理世界数据表名称 */
    private static String physicalWorldTablesName = "projects,objects,obj_infos,graph_instance,rel_btw_graph_period,rel_btw_objs," +
            "infocode_scheme,infocode_scheme_follower,infocode_scheme_detail,ctm_dict,ctm_dict_follower,ctm_node";

    /** 数据字典配置文件Dictionary目录下的json文件名称集合 */
    public static Set<String> jsonFilesOfDictionary = new HashSet<>(Arrays.asList(jsonFileNamesOfDictionary.split(",")));

    /** 物理世界数据表导出文件后缀 */
    public static final String tablesFileType = ".json";
    /** 物理世界数据表名称集合 */
    public static List<String> tablesNameList = new ArrayList<>(Arrays.asList(physicalWorldTablesName.split(",")));
    /** 自定义字典方案节点类型 */
    public static Set<String> customDictNodeType = new HashSet<>(Arrays.asList("family", "eq"));

    static {
        imgKeyMap.put("dev", "123"); imgKeyMap.put("saas", "46f869eea8b31d14");
        imgKeyMap.put("superClass", "90b92e6f71b47b31"); imgKeyMap.put("revit", "63afbef6906c342b");
        imgKeyMap.put("duoduo", "df548507374559a3"); imgKeyMap.put("dataPlatform", "9e0891a7a8c8e885");

        dicFolderBase.add(dicFolderInfoCode); dicFolderBase.add(dicFolderDictionary); dicFolderBase.add(dicFolderEqFamily);

        errorCodeName.put("Error01", "null值错误"); errorCodeName.put("Error02", "字面值不合法");
        errorCodeName.put("Error03", "无对应实体记录"); errorCodeName.put("Error04", "重复值");
        errorCodeName.put("Error99", "其他错误");
    }

}
