package com.persagy.dptool.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface FieldCheck {
    /** 值是否唯一，默认false */
    public boolean uniq() default false;
    /** 值允许为空，默认true */
    public boolean canBeNull() default true;
    /** 值长度限制，默认-1表示无限制 */
    public int length() default -1;
    /** object对象存在判断，默认false */
    public boolean existObj() default false;
    /** graphId存在判断 */
    public boolean existGraphId() default false;
    /** 自定义信息点方案id存在判断 */
    public boolean existInfoCodeSchemeId() default false;
    /** 用戶自定义字典方案id存在判断 */
    public boolean existCtmDictId() default false;
    /** 用戶自定义字典节点类型存在判断 */
    public boolean existCtmDictNodeType() default false;
}
